package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

@TableName("health_chronic")
@ApiModel("慢性病基础表")
public class HealthChronic {
   @TableId
   @ApiModelProperty("主键")
   private Long id;
   @ApiModelProperty("慢性病id")
   private Long chronicId;
   @ApiModelProperty("慢性病名称")
   private String chronicName;
   @ApiModelProperty("是否删除 1-是 2-否")
   private Integer ifDel;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public HealthChronic() {
   }

   public static HealthChronicBuilder builder() {
      return new HealthChronicBuilder();
   }

   public Long getId() {
      return this.id;
   }

   public Long getChronicId() {
      return this.chronicId;
   }

   public String getChronicName() {
      return this.chronicName;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setChronicId(final Long chronicId) {
      this.chronicId = chronicId;
   }

   public void setChronicName(final String chronicName) {
      this.chronicName = chronicName;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "HealthChronic(id=" + var10000 + ", chronicId=" + this.getChronicId() + ", chronicName=" + this.getChronicName() + ", ifDel=" + this.getIfDel() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }

   public HealthChronic(final Long id, final Long chronicId, final String chronicName, final Integer ifDel, final String crby, final LocalDateTime crtime, final String upby, final LocalDateTime uptime) {
      this.id = id;
      this.chronicId = chronicId;
      this.chronicName = chronicName;
      this.ifDel = ifDel;
      this.crby = crby;
      this.crtime = crtime;
      this.upby = upby;
      this.uptime = uptime;
   }

   public static class HealthChronicBuilder {
      private Long id;
      private Long chronicId;
      private String chronicName;
      private Integer ifDel;
      private String crby;
      private LocalDateTime crtime;
      private String upby;
      private LocalDateTime uptime;

      HealthChronicBuilder() {
      }

      public HealthChronicBuilder id(final Long id) {
         this.id = id;
         return this;
      }

      public HealthChronicBuilder chronicId(final Long chronicId) {
         this.chronicId = chronicId;
         return this;
      }

      public HealthChronicBuilder chronicName(final String chronicName) {
         this.chronicName = chronicName;
         return this;
      }

      public HealthChronicBuilder ifDel(final Integer ifDel) {
         this.ifDel = ifDel;
         return this;
      }

      public HealthChronicBuilder crby(final String crby) {
         this.crby = crby;
         return this;
      }

      public HealthChronicBuilder crtime(final LocalDateTime crtime) {
         this.crtime = crtime;
         return this;
      }

      public HealthChronicBuilder upby(final String upby) {
         this.upby = upby;
         return this;
      }

      public HealthChronicBuilder uptime(final LocalDateTime uptime) {
         this.uptime = uptime;
         return this;
      }

      public HealthChronic build() {
         return new HealthChronic(this.id, this.chronicId, this.chronicName, this.ifDel, this.crby, this.crtime, this.upby, this.uptime);
      }

      public String toString() {
         Long var10000 = this.id;
         return "HealthChronic.HealthChronicBuilder(id=" + var10000 + ", chronicId=" + this.chronicId + ", chronicName=" + this.chronicName + ", ifDel=" + this.ifDel + ", crby=" + this.crby + ", crtime=" + String.valueOf(this.crtime) + ", upby=" + this.upby + ", uptime=" + String.valueOf(this.uptime) + ")";
      }
   }
}
